> This page is for Data API, version v2 (default).
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# List Sites

GET https://api.webflow.com/v2/sites

List of all sites the provided access token is able to access.

Required scope | `sites:read`


Reference: https://developers.webflow.com/data/reference/sites/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

Request was successful

- `sites` (list of SitesGetResponsesContentApplicationJsonSchemaSitesItems, optional)

## Errors

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 404 Not Found Error

Requested resource not found

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 400 Client Request Error

Request body was incorrectly formatted.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesGetResponses4XxContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 500 Server Error

We had a problem with our server. Try again later.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesGetResponses5XxContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

## Types

### SitesGetResponsesContentApplicationJsonSchemaSitesItems

- `id` (string, required) — Unique identifier for the Site
- `workspaceId` (string, optional) — Unique identifier for the Workspace
- `createdOn` (string, optional) — Date the Site was created
- `displayName` (string, optional) — Name given to Site
- `shortName` (string, optional) — Slugified version of name
- `lastPublished` (string, optional) — Date the Site was last published
- `lastUpdated` (string, optional) — Date the Site was last updated
- `previewUrl` (string, optional) — URL of a generated image for the given Site
- `timeZone` (string, optional) — Site timezone set under Site Settings
- `parentFolderId` (string, optional, nullable) — The ID of the parent folder the Site exists in
- `customDomains` (list of SitesGetResponsesContentApplicationJsonSchemaSitesItemsCustomDomainsItems, optional)
- `locales` (SitesGetResponsesContentApplicationJsonSchemaSitesItemsLocales, optional)
- `dataCollectionEnabled` (boolean, optional) — Indicates if data collection is enabled for the site.
- `dataCollectionType` (enum, optional) — The type of data collection enabled for the site.
  - Allowed values: `always`, `optOut`, `disabled`

### SitesGetResponsesContentApplicationJsonSchemaDetailsItems

### SitesGetResponses4XxContentApplicationJsonSchemaDetailsItems

### SitesGetResponses5XxContentApplicationJsonSchemaDetailsItems

### SitesGetResponsesContentApplicationJsonSchemaSitesItemsCustomDomainsItems

- `id` (string, required) — Unique identifier for the Domain
- `url` (string, optional) — The registered Domain name
- `lastPublished` (string, optional, nullable) — The date the custom domain was last published to

### SitesGetResponsesContentApplicationJsonSchemaSitesItemsLocales

- `primary` (SitesGetResponsesContentApplicationJsonSchemaSitesItemsLocalesPrimary, optional) — The primary locale for the site or application.
- `secondary` (list of SitesGetResponsesContentApplicationJsonSchemaSitesItemsLocalesSecondaryItems, optional) — A list of secondary locales available for the site or application.

### SitesGetResponsesContentApplicationJsonSchemaSitesItemsLocalesPrimary

The primary locale for the site or application.

- `id` (string, optional) — The unique identifier for the locale.
- `cmsLocaleId` (string, optional) — A CMS-specific identifier for the locale.
- `enabled` (boolean, optional) — Indicates if the locale is enabled.
- `displayName` (string, optional) — The display name of the locale, typically in English.
- `displayImageId` (string, optional, nullable) — An optional ID for an image associated with the locale, nullable.
- `redirect` (boolean, optional) — Determines if requests should redirect to the locale's subdirectory.
- `subdirectory` (string, optional) — The subdirectory path for the locale, used in URLs.
- `tag` (string, optional) — A tag or code representing the locale, often following a standard format like 'en-US'.

### SitesGetResponsesContentApplicationJsonSchemaSitesItemsLocalesSecondaryItems

- `id` (string, optional) — The unique identifier for the locale.
- `cmsLocaleId` (string, optional) — A CMS-specific identifier for the locale.
- `enabled` (boolean, optional) — Indicates if the locale is enabled.
- `displayName` (string, optional) — The display name of the locale, typically in English.
- `displayImageId` (string, optional, nullable) — An optional ID for an image associated with the locale, nullable.
- `redirect` (boolean, optional) — Determines if requests should redirect to the locale's subdirectory.
- `subdirectory` (string, optional) — The subdirectory path for the locale, used in URLs.
- `tag` (string, optional) — A tag or code representing the locale, often following a standard format like 'en-US'.

## Examples

**Response**

```json
{
  "sites": [
    {
      "id": "42e63e98c9a982ac9b8b741",
      "workspaceId": "42e63fc8c9a982ac9b8b744",
      "createdOn": "1979-10-12T12:00:00.000Z",
      "displayName": "Heart of Gold Spaceship",
      "shortName": "heart-of-gold",
      "lastPublished": "2023-04-02T12:42:00.000Z",
      "previewUrl": "https://dev-assets.website-files.com/42e63e98c9a982ac9b8b741/197910121200.png",
      "timeZone": "America/Los_Angeles",
      "parentFolderId": "1as2d3f4g5h6j7k8l9z0x1c2v3b4n5m6",
      "customDomains": [
        {
          "id": "589a331aa51e760df7ccb89e",
          "url": "heartofgold.galaxy",
          "lastPublished": "2022-12-07T16:51:37.571Z"
        }
      ],
      "locales": {
        "primary": {
          "id": "653fd9af6a07fc9cfd7a5e57",
          "cmsLocaleId": "653ad57de882f528b32e810e",
          "enabled": true,
          "displayName": "English - Heart of Gold Standard",
          "redirect": false,
          "subdirectory": "/en",
          "tag": "The Ultimate Answer"
        },
        "secondary": [
          {
            "id": "653fd9af6a07fc9cfd7a5e58",
            "cmsLocaleId": "653ad57de882f528b32e810g",
            "enabled": true,
            "displayName": "Betelgeusian - Vogon Liaison",
            "redirect": true,
            "subdirectory": "/bet",
            "tag": "Vogon"
          },
          {
            "id": "653fd9af6a07fc9cfd7a5e59",
            "cmsLocaleId": "653ad57de882f528b32e810h",
            "enabled": false,
            "displayName": "Magrathean - Custom Planet Designs",
            "redirect": true,
            "subdirectory": "/mg",
            "tag": "Magrathean"
          }
        ]
      },
      "dataCollectionEnabled": true,
      "dataCollectionType": "always"
    },
    {
      "id": "42e63e98c9a982ac9b8b742",
      "workspaceId": "42e63fc8c9a982ac9b8b745",
      "createdOn": "1981-10-12T12:00:00.000Z",
      "displayName": "Marvin's Personal Blog",
      "shortName": "paranoid-android",
      "lastPublished": "2023-04-02T12:45:00.000Z",
      "previewUrl": "https://dev-assets.website-files.com/42e63e98c9a982ac9b8b742/198110121200.png",
      "timeZone": "America/Los_Angeles",
      "parentFolderId": null,
      "customDomains": [
        {
          "id": "589a331aa51e760df7ccb89f",
          "url": "marvin.blog",
          "lastPublished": "2022-12-07T16:51:37.571Z"
        }
      ],
      "locales": {
        "primary": {
          "id": "653fd9af6a07fc9cfd7a5e57",
          "cmsLocaleId": "653ad57de882f528b32e810e",
          "enabled": true,
          "displayName": "English - Marvin's Musings",
          "redirect": false,
          "subdirectory": "/en",
          "tag": "English"
        },
        "secondary": [
          {
            "id": "653fd9af6a07fc9cfd7a5e56",
            "cmsLocaleId": "653ad57de882f528b32e810f",
            "enabled": true,
            "displayName": "Squornshellous - Mattress Speak",
            "redirect": true,
            "subdirectory": "/sr",
            "tag": "Squornshellous"
          }
        ]
      },
      "dataCollectionEnabled": true,
      "dataCollectionType": "always"
    },
    {
      "id": "42e63e98c9a982ac9b8b743",
      "workspaceId": "42e63fc8c9a982ac9b8b746",
      "createdOn": "1982-10-12T12:00:00.000Z",
      "displayName": "Vogon Poetry Archive",
      "shortName": "vogon-poetry",
      "lastPublished": "2023-04-02T12:50:00.000Z",
      "previewUrl": "https://dev-assets.website-files.com/42e63e98c9a982ac9b8b743/198210121200.png",
      "timeZone": "America/Los_Angeles",
      "parentFolderId": null,
      "customDomains": [
        {
          "id": "589a331aa51e760df7ccb8a0",
          "url": "vogonpoetry.galaxy",
          "lastPublished": "2022-12-07T16:51:37.571Z"
        }
      ],
      "locales": {
        "primary": {
          "id": "653fd9af6a07fc9cfd7a5e55",
          "cmsLocaleId": "653ad57de882f528b32e810d",
          "enabled": true,
          "displayName": "English - Vogon Verse",
          "redirect": false,
          "subdirectory": "/en",
          "tag": "Third Worst Poetry"
        },
        "secondary": [
          {
            "id": "653fd9af6a07fc9cfd7a5e54",
            "cmsLocaleId": "653ad57de882f528b32e810c",
            "enabled": true,
            "displayName": "Galactic - Universal Language",
            "redirect": true,
            "subdirectory": "/gl",
            "tag": "Pan-Galactic Gargle Blaster"
          }
        ]
      },
      "dataCollectionEnabled": true,
      "dataCollectionType": "always"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.webflow.com/v2/sites"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.webflow.com/v2/sites';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/sites"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/sites")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.webflow.com/v2/sites")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.webflow.com/v2/sites', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/sites");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/sites")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```